RDKit::KekulizeException Class Reference

`#include <SanitException.h>`

Inheritance diagram for RDKit::KekulizeException:

## Public Member Functions

| KekulizeException (const char *msg, const std::vector< unsigned int > &indices)
| KekulizeException (const std::string &msg, const std::vector< unsigned int > &indices)
| KekulizeException (const KekulizeException &other)
const std::vector< unsigned int > & | getAtomIndices () const
virtual | ~KekulizeException () throw ()
MolSanitizeException * | copy () const
std::string | getType () const
Public Member Functions inherited from RDKit::MolSanitizeException
| MolSanitizeException (const char *msg)
| MolSanitizeException (const std::string &msg)
| MolSanitizeException (const MolSanitizeException &other)
virtual const char * | message () const
virtual | ~MolSanitizeException () throw ()

## Protected Attributes

std::vector< unsigned int > | d_atomIndices
Protected Attributes inherited from RDKit::MolSanitizeException
std::string | d_msg

## Detailed Description

Definition at line 96 of file SanitException.h.

## Constructor & Destructor Documentation

## KekulizeException() [1/3]

RDKit::KekulizeException::KekulizeException | ( | const char * | msg,
|  | const std::vector< unsigned int > & | indices
| ) |  |

inline

Definition at line 98 of file SanitException.h.

## KekulizeException() [2/3]

RDKit::KekulizeException::KekulizeException | ( | const std::string & | msg,
|  | const std::vector< unsigned int > & | indices
| ) |  |

inline

Definition at line 100 of file SanitException.h.

## KekulizeException() [3/3]

RDKit::KekulizeException::KekulizeException | ( | const KekulizeException & | other | ) |

inline

Definition at line 103 of file SanitException.h.

## ~KekulizeException()

virtual RDKit::KekulizeException::~KekulizeException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 108 of file SanitException.h.

## Member Function Documentation

## copy()

MolSanitizeException* RDKit::KekulizeException::copy | ( |  | ) | const

inline virtual

Reimplemented from RDKit::MolSanitizeException.

Definition at line 109 of file SanitException.h.

## getAtomIndices()

const std::vector<unsigned int>& RDKit::KekulizeException::getAtomIndices | ( |  | ) | const

inline

Definition at line 105 of file SanitException.h.

## getType()

std::string RDKit::KekulizeException::getType | ( |  | ) | const

inline virtual

Reimplemented from RDKit::MolSanitizeException.

Definition at line 110 of file SanitException.h.

## Member Data Documentation

## d_atomIndices

std::vector<unsigned int> RDKit::KekulizeException::d_atomIndices

protected

Definition at line 110 of file SanitException.h.

The documentation for this class was generated from the following file:

- SanitException.h